<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>

    <!-- HEAD VUEJS + FUNCIONALIDAD-->
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta content="text/html; charset=UTF-8" http-equiv="content-type">
    <meta charset="UTF-8">
    <!--    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">   <meta charset="UTF-8">-->
    <!--    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>-->
    <!--    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>-->
    <!--    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css" integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous"/>-->
    <link th:href="@{/styles/template-main.css}" rel="stylesheet" />

    <!-- HEAD TEMPLATE-->
    <title>ZappApp</title>
    <!-- Fuentes-->
    <link th:href="@{/styles/fontawesome-free/css/all.min.css}" rel="stylesheet" type="text/css">
    <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">
    <script src="https://kit.fontawesome.com/f0db3f6f2e.js" crossorigin="anonymous"></script>
    <!-- Estilos css-->
    <!--    <link href="/static/styles/template-main.css" rel="stylesheet">-->

</head>

<body id="page-top">
    <div id="app">
        <!-- Page Wrapper -->
        <div id="wrapper">

            <!-- Sidebar -->
            <menu-navegacion >
            </menu-navegacion>
            <!-- End of Sidebar -->

            <!-- Content Wrapper -->
            <div id="content-wrapper" class="d-flex flex-column">

                <!-- Main Content -->
                <div id="content">

                    <!-- Topbar -->
                    <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

                        <!-- Sidebar Toggle (Topbar) -->
                        <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                            <i class="fa fa-bars"></i>
                        </button>

                        <!-- Topbar Navbar -->
                        <ul class="navbar-nav ml-auto">

                            <!-- Nav Item - Search Dropdown (Visible Only XS) -->
                            <li class="nav-item dropdown no-arrow d-sm-none">
                                <a class="nav-link dropdown-toggle" href="#" id="searchDropdown" role="button"
                                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fas fa-search fa-fw"></i>
                                </a>
                                <!-- Dropdown - Messages -->
                                <div class="dropdown-menu dropdown-menu-right p-3 shadow animated--grow-in"
                                    aria-labelledby="searchDropdown">
                                    <form class="form-inline mr-auto w-100 navbar-search">
                                        <div class="input-group">
                                            <input type="text" class="form-control bg-light border-0 small"
                                                placeholder="Search for..." aria-label="Search"
                                                aria-describedby="basic-addon2">
                                            <div class="input-group-append">
                                                <button class="btn btn-primary" type="button">
                                                    <i class="fas fa-search fa-sm"></i>
                                                </button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </li>

                            <div class="topbar-divider d-none d-sm-block"></div>

                            <!-- Nav Item - User Information -->
                            <li class="nav-item dropdown no-arrow">
                                <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <span class="mr-2 d-none d-lg-inline text-gray-600 small" th:text="${#authentication.getPrincipal().getUsername()}"></span>
                                    <img class="img-profile rounded-circle" th:src="@{/img/undraw_profile.svg}">
                                </a>
                                <!-- Dropdown - User Information -->
                                <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                                    aria-labelledby="userDropdown">
                                    <a class="dropdown-item" href="#" data-toggle="modal" data-target="#logoutModal">
                                        <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                                        Cerrar cesión
                                    </a>
                                </div>
                            </li>

                        </ul>

                    </nav>
                    <!-- End of Topbar -->

                    <!-- Begin Page Content -->
                    <div class="container-fluid">

                        <!-- DataTales Example -->
                        <div class="card shadow mb-4">
                            <div class="card-header d-flex py-3">
                                <h2 class="m-0 font-weight-bold text-primary">Realizar venta</h2>
                                <a class="btn btn-primary ml-auto" href="#" data-toggle="modal" data-target="#carritoModal">
                                    <span class="icon text-white-50">
                                        <i class="fas fa-shopping-cart"></i>
                                        <span class="badge badge-danger badge-counter">{{carrito.products.length}}</span>
                                    </span>
                                    <span class="text">Ver Carrito</span>
                                </a>
                            </div>
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                        <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Descripcion</th>
                                            <th>Precio Compra</th>
                                            <th>Precio Venta</th>
                                            <th>Estado</th>
                                            <th>Año de Fabricacion</th>
                                            <th>Modelo</th>
                                            <th>Marca</th>
                                            <th>Acciones</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <template v-for="producto in productos">
                                            <tr>
                                                <th >{{ producto.id }}</th>
                                                <td scope="col">{{ producto.description }}</td>
                                                <td scope="col">{{ producto.price_buy }}</td>
                                                <td scope="col">{{ producto.price_sale }}</td>
                                                <td scope="col">{{ producto.product_status.name }}</td>
                                                <td scope="col">{{ producto.year_fabrication }}</td>
                                                <td scope="col">{{ producto.product_model.name }}</td>
                                                <td scope="col">{{ producto.product_model.mark }}</td>
                                                <td>

                                                    <a class="btn" href="#" @click="agregarItem(producto , 1)" data-toggle="modal">
                                                        <i class="fas fa-cart-plus"></i>
                                                    </a>
                                                </td>
                                            </tr>
                                        </template>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /.container-fluid -->

                </div>
                <!-- End of Main Content -->

                <!-- Footer -->
                <footer class="sticky-footer bg-white">
                    <div class="container my-auto">
                        <div class="copyright text-center my-auto">
                            <span>Copyright &copy; G6 Solutions 2021</span>
                        </div>
                    </div>
                </footer>
                <!-- End of Footer -->

            </div>
            <!-- End of Content Wrapper -->

        </div>
        <!-- End of Page Wrapper -->
        <!-- Scroll to Top Button-->
        <a class="scroll-to-top rounded" href="#page-top">
            <i class="fas fa-angle-up"></i>
        </a>
        <!-- Logout Modal-->
        <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Quiere cerrar cesión?</h5>
                        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body">Seleccione "Cerrar cesión" si está listo para salir de la plataforma.</div>
                    <div class="modal-footer">
                        <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancelar</button>
                        <form th:action="@{/logout}" method="post">
                            <input class='btn btn-primary ml-auto' type="submit" value="Cerrar Sesion"/>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!--Carrito modal-->
        <div class="modal fade" id="carritoModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" v-if="modalShow">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Carrito de compras</h5>
                        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                            <thead>
                                <tr>
                                    <th>Descripcion</th>
                                    <th>Precio unid.</th>
                                    <th>Cantidad</th>
                                    <th>Precio</th>
                                    <th>Eliminar</th>
                                </tr>
                            </thead>
                            <tbody>
                                <template v-for="(producto, index) in productosElegidos">
                                    <tr>
                                        <td scope="col">{{ producto.description }}</td>
                                        <td scope="col">${{ producto.price_sale }}</td>
                                        <td scope="col">
                                            <button> - </button>
                                            {{ producto.required_stock }}
                                            <button> + </button>
                                        </td>
                                        <td scope="col">${{ producto.price_sale * producto.required_stock }}</td>
                                        <td>
                                            <a class="btn" href="#" data-toggle="modal" @click="sacarItem(index)">
                                                <i class="fas fa-times"></i>
                                            </a>
                                        </td>
                                    </tr>
                                </template>
                            </tbody>
                            <tfooter>
                                <td></td>
                                <td></td>
                                <td><h5>Total:</h5></td>
                                <td><h5>${{total}}</h5></td>
                            </tfooter>
                        </table>
                    </div>
                    <div class="modal-body">
                        <div class="row gy-3 form-group">
                            <div class="col-12 my-3">
                                <label class="form-label"><font style="vertical-align: inherit;">Cliente</font></label>
                                <select class="form-control" v-model="venta.client_id">
                                    <option  v-for="(cliente,index) in clientes" v-bind="{value:cliente.id}" @click="seleccionaCliente(index)"> id: {{ cliente.id }} - nombre: {{cliente.name}}</option>
                                </select>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                    <div class="pt-2 pb-2">
                                        <ul role="tablist" class="nav nav-pills rounded nav-fill mb-3">
                                            <li class="nav-item"> <a data-toggle="pill" href="#credit-card" class="nav-link active "> <i class="fas fa-credit-card mr-2"></i>
                                                <span class="badge badge-danger badge-counter" v-if="errores_tarjeta.length>0">{{errores_tarjeta.length}}</span> Tarjeta </a> </li>
                                            <li class="nav-item"> <a data-toggle="pill" href="#paypal" class="nav-link "> <i class="far fa-money-bill-alt mr-2"></i>
                                                <span class="badge badge-danger badge-counter" v-if="errores_efectivo.length>0">{{errores_efectivo.length}}</span> Efectivo </a> </li>
                                            <li class="nav-item"> <a data-toggle="pill" href="#net-banking" class="nav-link "> <i class="fas fa-file-invoice-dollar mr-2"></i>
                                                <span class="badge badge-danger badge-counter" v-if="errores_cuenta_corriente.length>0">{{errores_cuenta_corriente.length}}</span>Cuenta corriente </a> </li>
                                        </ul>
                                    </div>
                                    <div class="tab-content">
                                        <div id="credit-card" class="tab-pane fade show active">
                                            <button class="btn btn-primary" @click="agregarMetodoDePago('tarjeta')">+ agregar</button>
                                            <form role="form" v-if="mostrarDialogoDeVentaTarjeta">
                                                <div class="row">
                                                    <div class="col-sm-6">
                                                        <div class="form-group">
                                                            <label for="cardNumber"><h6>Dinero a pagar con Tarjeta</h6></label>
                                                            <div class="input-group">
                                                                <input type="number" id="pagoTarjetaInput" placeholder="" name="" class="form-control" v-model="tarjeta.amount" required>
                                                                <div class="invalid-feedback" id="pagoTarjetaDiv" >
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-6">
                                                        <div class="form-group">
                                                            <label for="username">
                                                                <h6>Nombre en la tarjeta</h6>
                                                            </label>
                                                            <input type="text" id="nombreTarjetaInput" name="username" placeholder="" class="form-control" v-model="tarjeta.credit_card.card_type">
                                                            <div class="invalid-feedback" id="nombreTarjetaDiv" >
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label for="cardNumber"><h6>Número de tarjeta</h6></label>
                                                    <div class="input-group">
                                                        <input type="text" id="numeroTarjetaInput" name="cardNumber" placeholder="" class="form-control" v-model="tarjeta.credit_card.card_number" required>
                                                        <div class="invalid-feedback" id="numeroTarjetaDiv">
                                                        </div>
                                                        <div class="input-group-append"> <span class="input-group-text text-muted"> <i class="fab fa-cc-visa mx-1"></i> <i class="fab fa-cc-mastercard mx-1"></i> <i class="fab fa-cc-amex mx-1"></i> </span> </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-sm-8">
                                                        <div class="form-group">
                                                            <label><span class="hidden-xs"><h6>Fecha de vencimiento</h6></span></label>
                                                            <div class="input-group"> <input type="number" placeholder="MM" name="" class="form-control"> <input type="number" placeholder="AA" name="" class="form-control"> </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <div class="form-group mb-4"> <label data-toggle="tooltip" title="Código de 3 digitos que se encuentra en la parte trasera de tu tarjeta">
                                                            <h6>CVV <i class="fa fa-question-circle d-inline"></i></h6>
                                                        </label> <input type="text" class="form-control"> </div>
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                        
                                        <div id="paypal" class="tab-pane fade">
                                            <button class="btn btn-primary" @click="agregarMetodoDePago('efectivo')">+ agregar</button>
                                            <div class="form-group" v-if="mostrarDialogoDeVentaEfectivo">
                                                <label for="cardNumber"><h6>Dinero a pagar en efectivo</h6></label>
                                                <div class="input-group">
                                                    <input type="number" id="efectivoInput" placeholder="" name="" class="form-control" v-model="efectivo.amount" required>
                                                    <div class="invalid-feedback" id="efectivoDiv" >
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div id="net-banking" class="tab-pane fade">
                                            <button class="btn btn-primary" @click="agregarMetodoDePago('cuenta_corriente')">+ agregar</button>
                                            <div class="row" v-if="mostrarDialogoDeVentaCuentaCorriente">
                                                <div class="col-sm-6">
                                                    <div class="form-group">
                                                        <label for="cardNumber"><h6>Saldo disponible: ${{ balanceActual.balance }}</h6></label>
                                                    </div>
                                                </div>
                                                <div class="col-sm-6">
                                                    <div class="form-group">
                                                        <label for="cardNumber"><h6>Saldo a utilizar</h6></label>
                                                        <div class="input-group">
                                                            <input type="number" id="saldoUtilizableInput" placeholder="" name="" class="form-control" v-model="cuenta.amount" required>
                                                            <div class="invalid-feedback" id="saldoUtilizableDiv" >
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-secondary" type="button" data-dismiss="modal" @click="borrarCarrito()">Borrar carrito</button>
                        <a class="btn btn-primary submitButton" @click="comprar()" type="submit">Comprar</a>
                    </div>
                </div>
            </div>
        </div>

    </div>
</body>

<!-- Bootstrap core JavaScript-->
<script type="text/javascript" th:src="@{/js/jquery/jquery.min.js}"></script>
<script type="text/javascript" th:src="@{/js/bootstrap/js/bootstrap.bundle.min.js}"></script>
<!-- Core plugin JavaScript-->
<script type="text/javascript" th:src="@{/js/jquery-easing/jquery.easing.min.js}"></script>
<!-- Custom scripts for all pages-->
<script type="text/javascript" th:src="@{/js/template-main.js}"></script>
<!-- Page level plugins -->
<!--<script type="text/javascript" th:src="@{/js/datatables/jquery.dataTables.min.js}"></script>-->
<script type="text/javascript" th:src="@{/js/datatables/dataTables.bootstrap4.min.js}"></script>
<!-- Page level custom scripts -->
<script type="text/javascript" th:src="@{/js/demo/datatables-demo.js}"></script>

<!-- SCRIPT VUE JS-->
<script src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.6.12/vue.min.js"></script>

<script src="https://unpkg.com/hotkeys-js/dist/hotkeys.min.js"></script>

<script type="text/javascript" th:src="@{/js/cssandjs/atajos.js}"></script>
<!-- SCRIPT VUE JS-->
<script type="text/javascript" th:src="@{/js/cssandjs/itemsNavegacion.js}"></script>
<script type="text/javascript" th:src="@{/js/cssandjs/menu-navegacion.js}"></script>

<script type="text/javascript" th:src="@{/js/cssandjs/ventas.js}"></script>

<!-- Custom scripts for all pages-->
<script type="text/javascript" th:src="@{/js/cssandjs/sbadmin2.min.js}"></script>

</html>
